Activar o desactivar solicitudes que no sean de VPC

publicación /groups/{groupId}/apps/{appId}/security/allow_non_vpc_client_requests

For Apps with Private Endpoints enabled, toggle whether or not the App processes requests that originate from outside of the VPC.

Parámetros de path

aplicación/json

Cuerpo

  • permitir solicitudes de clientes no VPC booleano

    Set to true to allow non-VPC requests. Set to false to restrict non-VPC requests.

Respuestas

  • 204

    Successfully enabled/disabled non-VPC access.

POST /groups/{groupId}/apps/{appId}/seguridad/allow_non_vpc_client_requests
curl \
 --request POST 'https://services.cloud.mongodb.com/api/admin/v3.0/groups/{groupId}/apps/{appId}/security/allow_non_vpc_client_requests' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"allow_non_vpc_client_requests":true}'
Solicitar ejemplos
{
  "allow_non_vpc_client_requests": true
}